# Class VcfFileSegment

java.lang.Object
picard.vcf.processor.VcfFileSegment

@Deprecated public abstract class VcfFileSegment extends Object
Deprecated.
from 2022-03-17, Use VcfPathSegment
Describes a segment of a particular VCF file.

## Constructor Summary

Constructors
Constructor
Description
`VcfFileSegment()`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`abstract String`
`contig()`
Deprecated.
`htsjdk.samtools.util.Interval`
`correspondingInterval()`
Deprecated.
`abstract int`
`start()`
Deprecated.
`abstract int`
`stop()`
Deprecated.
`String`
`toString()`
Deprecated.
`abstract File`
`vcf()`
Deprecated.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### VcfFileSegment

public VcfFileSegment()
Deprecated.

## Method Details

### start

public abstract int start()
Deprecated.

### stop

public abstract int stop()
Deprecated.

### contig

public abstract String contig()
Deprecated.

### vcf

public abstract File vcf()
Deprecated.

### correspondingInterval

public htsjdk.samtools.util.Interval correspondingInterval()
Deprecated.

### toString

public String toString()
Deprecated.

Overrides:
  `toString` in class `Object`